[client-server]

[mariadb]
server_id={{ mariadb_index }}
{% if master %}
log-bin
log-basename=db{{ mariadb_index }}
{% else %}
slave-skip-errors = all
{% endif %}

# Disabling symbolic-links is recommended to prevent assorted security risks
symbolic-links=0

max_connections          = 1000  # default 100
connect_timeout          = 5
wait_timeout             = 10    # default 600
max_allowed_packet       = 16M
thread_cache_size        = 128
sort_buffer_size         = 4M
bulk_insert_buffer_size  = 16M
tmp_table_size           = 32M
max_heap_table_size      = 32M

#
# include all files from the config directory
#
!includedir /etc/my.cnf.d
